ros-jazzy-tracetools (8.2.4-1noble) noble; urgency=high

  * Removed clang warning (#168 <https://github.com/ros2/ros2_tracing/issues/168>) (#172 <https://github.com/ros2/ros2_tracing/issues/172>)
    (cherry picked from commit 169c887a41e2f5233d2407f54c4ea3a1ec7665ab)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 04 Aug 2025 16:00:00 -0000

ros-jazzy-tracetools (8.2.3-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 17 Dec 2024 16:00:00 -0000

ros-jazzy-tracetools (8.2.2-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-tracetools (8.2.1-1noble) noble; urgency=high

  * Fix type for buffer index argument in tracepoint event declaration. (#117 <https://github.com/ros2/ros2_tracing/issues/117>) (#119 <https://github.com/ros2/ros2_tracing/issues/119>)
    (cherry picked from commit 7e8d42e3816dc9f7dc268109a2bb9cc66cc4d4ee)
    Co-authored-by: Mattis Kieffer <mailto:62772198+mat-kie@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-tracetools (8.2.0-1noble) noble; urgency=high

  * Replace all occurences of index.ros.org (#114 <https://github.com/ros2/ros2_tracing/issues/114>)
  * Switch to ament_generate_version_header for tracetools (#112 <https://github.com/ros2/ros2_tracing/issues/112>)
  * Fixes for newer uncrustify (#101 <https://github.com/ros2/ros2_tracing/issues/101>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-tracetools (8.1.0-1noble) noble; urgency=high

  * Update tests and docs after new rmw_publish timestamp field (#90 <https://github.com/ros2/ros2_tracing/issues/90>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-tracetools (8.0.0-1noble) noble; urgency=high

  * Add timestamp to rmw_publish tracepoint (#74 <https://github.com/ros2/ros2_tracing/issues/74>)
  * Contributors: Christopher Wecht

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 22 Jan 2024 16:00:00 -0000

ros-jazzy-tracetools (7.1.0-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-jazzy-tracetools (7.0.0-1noble) noble; urgency=high

  * Add TRACETOOLS_ prefix to tracepoint-related public macros (#56 <https://github.com/ros2/ros2_tracing/issues/56>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 08 Jun 2023 16:00:00 -0000

ros-jazzy-tracetools (6.4.1-1noble) noble; urgency=high

  * Disable tracing on Android (#71 <https://github.com/ros2/ros2_tracing/issues/71>)
  * Contributors: Przemysław Dąbrowski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-tracetools (6.4.0-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.3.0-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.2.0-1noble) noble; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.1.0-1noble) noble; urgency=high

  * Add intra-process tracepoints (#30 <https://github.com/ros2/ros2_tracing/issues/30>)
  * Contributors: ymski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (6.0.0-1noble) noble; urgency=high

  * Improve tracetools rosdoc2/doxygen output (#57 <https://github.com/ros2/ros2_tracing/issues/57>)
  * Update README and other documentation (#55 <https://github.com/ros2/ros2_tracing/issues/55>)
  * Disable tracing on macOS (#53 <https://github.com/ros2/ros2_tracing/issues/53>)
  * Include tracepoints by default on Linux (#31 <https://github.com/ros2/ros2_tracing/issues/31>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools (5.1.0-1noble) noble; urgency=high

  * Explicitly link against dl for dladdr() (#48 <https://github.com/ros2/ros2_tracing/issues/48>)
  * Fix memory leak in tracetools::get_symbol() (#43 <https://github.com/ros2/ros2_tracing/issues/43>)
  * Add TRACEPOINT_ENABLED() and DO_TRACEPOINT() macros (#46 <https://github.com/ros2/ros2_tracing/issues/46>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-jazzy-tracetools (5.0.0-1noble) noble; urgency=high

  * Update tracing to C++17. (#33 <https://github.com/ros2/ros2_tracing/issues/33>)
  * Contributors: Chris Lalancette

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-tracetools (4.1.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME}
  * Contributors: Christophe Bedard, Shane Loretz

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 28 Mar 2022 16:00:00 -0000

ros-jazzy-tracetools (4.0.0-1noble) noble; urgency=high

  * Merge branch 'update-mentions-of-tracetools-test' into 'master'
    Update applicable mentions of tracetools_test to test_tracetools
    See merge request ros-tracing/ros2_tracing!259 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/259>
  * Update applicable mentions of tracetools_test to test_tracetools
  * Merge branch 'version-3-1-0' into 'master'
    Version 3.1.0
    See merge request ros-tracing/ros2_tracing!256 <https://gitlab.com/ros-tracing/ros2_tracing/-/merge_requests/256>
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-jazzy-tracetools (3.1.0-1noble) noble; urgency=high

  * Correctly handle calls to TRACEPOINT() macro with no tracepoint args
  * Move publisher handle tracepoint argument from rclcpp_publish to rcl_publish
  * Add support for rmw init/pub, take, and executor instrumentation
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-jazzy-tracetools (3.0.0-1noble) noble; urgency=high

  * Export target on Windows and export an interface if TRACETOOLS_DISABLED
  * Remove deprecated utility functions
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 25 Jul 2021 16:00:00 -0000

ros-jazzy-tracetools (2.3.0-1noble) noble; urgency=high

  * Update QD to be more specific about public API
  * Namespace tracetools C++ functions and macros and deprecate current ones
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Mar 2021 16:00:00 -0000

ros-jazzy-tracetools (2.2.0-1noble) noble; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 28 Mar 2021 16:00:00 -0000

ros-jazzy-tracetools (2.1.0-1noble) noble; urgency=high

  * Add instrumentation support for linking a timer to a node
  * Bring tracetools up to quality level 1
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 12 Jan 2021 16:00:00 -0000

ros-jazzy-tracetools (2.0.0-1noble) noble; urgency=high

  * Add lifecycle node state transition instrumentation
  * Do not export tracetools if empty
  * Allow disabling tracetools status app
  * Contributors: Christophe Bedard, Ingo Lütkebohle, José Antonio Moral

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 11 Oct 2020 16:00:00 -0000

ros-jazzy-tracetools (1.0.0-1noble) noble; urgency=high

  * Export -rdynamic using ament_export_link_flags and modern CMake
  * Contributors: Christophe Bedard, Dirk Thomas

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 23 Apr 2020 16:00:00 -0000

ros-jazzy-tracetools (0.3.0-1noble) noble; urgency=high

  * Various improvements to the build setup and CMakeLists.txt
  * Contributors: Christophe Bedard, Stephen Brawner

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-jazzy-tracetools (0.2.10-1noble) noble; urgency=high

  * Add new rclcpp_subscription_init tracepoint to support new intra-process comms
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sat, 16 Nov 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.9-1noble) noble; urgency=high

  * Set symbols visibility to public for util functions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 17 Oct 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.8-1noble) noble; urgency=high

  * Add overload of get_symbols as a fallback
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 13 Oct 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.4-1noble) noble; urgency=high

  * Ignore unused tracepoint parameters on Windows
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 13 Aug 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.3-1noble) noble; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 04 Aug 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.2-1noble) noble; urgency=high

  * Fix Windows linking issues
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Jul 2019 16:00:00 -0000

ros-jazzy-tracetools (0.2.0-1noble) noble; urgency=high

  * Add option to compile out LTTng entirely
  * Fix ament_target_dependencies() for tracetools status executable
  * Remove bash scripts
  * Enable tracing by default if LTTng is available
  * Fix test_utils never getting built
  * Contributors: Christophe Bedard, Ingo Lütkebohle, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Jul 2019 16:00:00 -0000

ros-jazzy-tracetools (0.1.1-1noble) noble; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 15 Jul 2019 16:00:00 -0000

ros-jazzy-tracetools (0.1.0-1noble) noble; urgency=high

  * Add symbol resolution utils
  * Add tracepoint definitions and wrapper macro for tracepoint functions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 Jul 2019 16:00:00 -0000


